%define prefix /opt/kde4

Name:          kdepimlibs4
Version:       3.80.3
Release:       4%{?dist}%{?kde}
Summary:       K Desktop Environment 4 - PIM Libraries

License:       LGPL
Group:         System Environment/Libraries

URL:           http://www.kde.org/

Source0:       kdepimlibs-%{version}.tar.bz2
# (hopefully) make KDE 4 coexist peacefully with KDE 3 
Patch0:        kdepimlibs-%{version}-kde4home.diff

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake >= 2.4.3
BuildRequires: kdelibs4-devel
BuildRequires: openldap-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: libXtst-devel libXpm-devel

%description
Personal Information Management (PIM) libraries for the
K Desktop Environment 4.
WARNING: This is an experimental snapshot. It probably has many bugs left.
Also, the API and ABI are NOT stable yet.

%package devel
Group:    Development/Libraries
Summary:  Header files for kdepimlibs4
Requires: %{name} = %{version}-%{release}
Requires: kdelibs4-devel
Requires: openldap-devel libXtst-devel libXpm-devel cyrus-sasl-devel
%description devel
Header files for developing applications using kdepimlibs4.
WARNING: This is an experimental snapshot. It probably has many bugs left.
Also, the API and ABI are NOT stable yet.


%prep
%setup -q -n kdepimlibs-%{version}
%patch0 -p1 -b .kde4home


%build
# HAVE_SNPRINTF should be defined by CMake, but it is not. Not only does glibc
# contain snprintf and vsnprintf, but vsnprintf.c won't build due to the
# _FORTIFY_SOURCE macros.
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_SNPRINTF"
export CXXFLAGS="$CFLAGS"
mkdir build
cd build
# We need to set QT_QMAKE_EXECUTABLE explicitly because it doesn't find it in
# the obvious place (/usr/bin).
cmake \
    -DCMAKE_INSTALL_PREFIX=%{prefix}         \
    -DCMAKE_BUILD_TYPE=debugfull             \
    -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4 \
    ../
make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"
cd build
make install DESTDIR="$RPM_BUILD_ROOT"

## debuginfo fails without eXecute bit set
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/kde4/*


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%{prefix}/
%exclude %{prefix}/include
%exclude %{prefix}/lib/*.so

%files devel
%defattr(-,root,root,-)
%{prefix}/include
%{prefix}/lib/*.so


%changelog
* Fri Mar 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-4
- restore minimum version requirement for cmake
- don't set QT4DIR and PATH anymore, qdbuscpp2xml has been fixed

* Mon Mar 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.80.3-3
- +eXecute perms for %{prefix}/lib/*

* Fri Feb 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-2
- rebuild for patched FindKDE4Internal.cmake

* Wed Feb 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-1
- update to 3.80.3
- update and improve parallel-installability patch
- readd BR cyrus-sasl-devel
- don't set LD_LIBRARY_PATH
- set QT4DIR and PATH so CMake's direct $QT4DIR/qdbuscpp2xml calls work
- define HAVE_SNPRINTF to work around vsnprintf.c build failure

* Wed Nov 29 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.3.20061003svn
- dropped -DCMAKE_SKIP_RPATH=TRUE from cmake
- compiling with QA_RPATHS=0x0003; export QA_RPATHS
- added libXtst-devel libXpm-devel as BR
	
* Fri Nov 24 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.2.20061003svn
- parallel build support
- added -DCMAKE_SKIP_RPATH=TRUE to cmake to skip rpath
- dropped qt4-devel >= 4.2.0, cyrus-sasl-devel  as BR
- spec file cleanups and added clean up in %%install
- fixed PATH for libkdecore.so.5; cannot open shared object file;

* Sat Oct 07 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.2-0.1.20061003svn
- first Fedora RPM (parts borrowed from the OpenSUSE kdepimlibs 4 RPM and the Fedora kdelibs 3 RPM)
- apply parallel-installability patch
